#
# spec file for package fuse-lsfs
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fuse-lsfs
Version:	0.1.7
Release:	1.4
License:	GPL-2.0
Summary:	Browse ls -lR output through FUSE
Url:		http://lsfs.sf.net
Group:		System/Filesystems
Source:		http://downloads.sourceforge.net/lsfs/lsfs-%{version}.tar.gz
Patch1:         lsfs-makefile-lib-order.diff
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fuse)
BuildRequires:  fuse-devel
Requires:       perl
Requires:       fuse
Provides:       lsfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lsfs is Perl parser of directory listings and FUSE filesystem daemon for
mounting it.

Useful for offline browsing of eg. FTP servers from output generated by
"ls -lR".

%prep
%setup -q -n lsfs-%{version}
%patch1

%build
make CXXFLAGS="%{optflags}"

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 lsfs %{buildroot}%{_bindir}

install -d -m 0755 %{buildroot}/usr/lib/lsfs
install -m 0755 lsfs-driver lsprepare %{buildroot}/usr/lib/lsfs

%files
%defattr(-,root,root)
%doc COPYING EXAMPLE TODO README
%{_bindir}/lsfs
%dir /usr/lib/lsfs
/usr/lib/lsfs/lsfs-driver
/usr/lib/lsfs/lsprepare

%changelog
* Mon Mar  9 2015 dsterba@suse.cz
- initial version 0.1.7
- Added patch: lsfs-makefile-lib-order.diff
